package com.example.mykafkaproject.bean;


import java.util.Date;

/**
 * 预警记录对象 warn_push_base
 *
 * @author censoft
 * @date 2023-08-08
 */
public class WarnPushBase{

    /** null */
    private Long id;

    /** 所属系统名称 */
    private String orderName;

    /** 预警设备名称 */
    private String alarmDeviceName;

    /** 预警等级 */
    private String gradeName;

    /** 预警类型 */
    private String gradeType;

    /** 报警时间 */
    private Date alarmTime;

    /** 图片地址 */
    private String picture;

    /** 视频地址 */
    private String video;

    /** 处置状态 */
    private String status;

    /** 接受发送人 */
    private String sendUserIds;

    /** 删除标记 */
    private Integer delFlag;

    /** 备注 */
    private String remark;

    /** 归属矿场 */
    private String belong;

    /** 摄像头Id */
    private String channelId;
    private String alarmMsg;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderName() {
        return orderName;
    }

    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }

    public String getAlarmDeviceName() {
        return alarmDeviceName;
    }

    public void setAlarmDeviceName(String alarmDeviceName) {
        this.alarmDeviceName = alarmDeviceName;
    }

    public String getGradeName() {
        return gradeName;
    }

    public void setGradeName(String gradeName) {
        this.gradeName = gradeName;
    }

    public String getGradeType() {
        return gradeType;
    }

    public void setGradeType(String gradeType) {
        this.gradeType = gradeType;
    }

    public Date getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(Date alarmTime) {
        this.alarmTime = alarmTime;
    }

    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSendUserIds() {
        return sendUserIds;
    }

    public void setSendUserIds(String sendUserIds) {
        this.sendUserIds = sendUserIds;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getBelong() {
        return belong;
    }

    public void setBelong(String belong) {
        this.belong = belong;
    }

    public String getVideo() {
        return video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getAlarmMsg() {
        return alarmMsg;
    }

    public void setAlarmMsg(String alarmMsg) {
        this.alarmMsg = alarmMsg;
    }
}
